use serenity::{
    all::Message,
    client::Context,
    framework::standard::{macros::command, CommandResult},
};

#[command]
#[description = "Pong!"]
pub async fn ping(ctx: &Context, msg: &Message) -> CommandResult {
    if let Err(why) = msg.channel_id.say(&ctx.http, "Pong from framework!").await {
        println!("Error sending message: {:?}", why)
    }
    Ok(())
}
